function xmlCreateDocument(rootName) {
	var xml = null;
	try {
		xml = new ActiveXObject("Msxml2.DOMDocument.4.0");
	} catch (e) {
		try {
			xml = new ActiveXObject("Msxml2.DOMDocument");		
		} catch(e1) {
			return null;
		}
	}
	
	xml.async           = false;
	xml.validateOnParse = false; 
	
	if(rootName != null) {
		var root = xml.createElement(rootName);
		xml.appendChild(root);
	}
	
	return xml;
}

function xmlHTTP() {
	var xmlhttp = null;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP.4.0");
	} catch (e) {
		try {
			xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");		
		} catch(e1) {
			return null;
		}
	}

	return xmlhttp;
}

function xmlAppendChild(xml, parent, name, value) {
	var item  = xml.createElement(name);
	if(value != null) {
		item.text = value;
	}
	parent.appendChild(item);
	
	return item;
}

function xmlXSLT(xml_src, xsl_src) {
	var oXSL = xmlCreateDocument(null);
	var oXML = xmlCreateDocument(null);
	oXSL.load(xsl_src);
	oXML.load(xml_src);
	var html = oXML.transformNode(oXSL);
	
	return html;
}