<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">
	<xsl:import href="AddressBook2Html.xsl"/>
	<xsl:output method="html" version="4.0"/>

	<xsl:template match="/">
		<HTML>
			<HEAD>
				<META HTTP-EQUIV="MSThemeCompatible" CONTENT="Yes" />
				<META HTTP-EQUIV="EXPIRES" CONTENT="0" />
				<TITLE>Address Book</TITLE>
			</HEAD>
			<LINK rel="stylesheet" href="Style.css" type="text/css" />
			<SCRIPT language="JScript">
				<![CDATA[
				var selectedList     = null;
					
				function pgLoad() {
					if (selList.options.length>0) {
						selList.selectedIndex = 0;
						hndOnSelect();
					}
					pgResize();
				}
				
				function hndOnSelect(){
					try {
						if(selectedList!=null) {
							selectedList.style.display = "none";
						}
						selectedList = document.all[selList.options[selList.selectedIndex].value];
						selectedList.style.display = "inline"; 
					} catch (e) {}
				}
				
				function pgResize(){
					var y = 26;
					var h = document.body.clientHeight - y;
					var w = document.body.clientWidth;
					cnLists.style.pixelHeight  = h;
					cnLists.style.pixelWidth   = w;
					cnLists.style.pixelTop     = y;
				}
				]]>
			</SCRIPT>
			<BODY onload="pgLoad()" style="margin:0px; padding:0px;" onresize="pgResize();">
				<DIV id="cnBody">
					<xsl:apply-templates select="AddressLists"/>
				</DIV>
			</BODY>
		</HTML>
	</xsl:template>
	
</xsl:stylesheet>	