<?xml version="1.0"?>
<xsl:stylesheet
	xmlns:xsl  ="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:js   ="urn:schemas-microsoft-com:js"
	version="1.0">

	<xsl:output method="xml" version="1.0"/>
	<xsl:param name="fltTo"/>
	<xsl:param name="fltFrom"/>
	<xsl:param name="fltSubject"/>
	<xsl:param name="fltMessage"/>

	<msxsl:script language="JScript" implements-prefix="js">
		function matchFilter(node, to, from, subj, msg) {
			return true;
		}
	</msxsl:script>

	<xsl:template match="/">
		<xsl:apply-templates select="MailList"/>
	</xsl:template>
	
	<xsl:template match="MailList">
		<MailList>
			<xsl:apply-templates select="MailItem"/>
		</MailList>
	</xsl:template>
	
	<xsl:template match="MailItem">
		<xsl:if test="js:matchFilter(., $fltSubject)">
			<MailItem>
				<To><xsl:value-of select="./To"/></To>
				<From><xsl:value-of select="./From"/></From>
				<Subject><xsl:value-of select="./Subject"/></Subject>
				<ReceivedTime><xsl:value-of select="./ReceivedTime"/></ReceivedTime>
				<AttachmentsCount><xsl:value-of select="./AttachmentsCount"/></AttachmentsCount>
				<Path><xsl:value-of select="./Path"/></Path>
			</MailItem>
		</xsl:if>
	</xsl:template>
 </xsl:stylesheet>
      