 Dim curMonth 'navigator variable - month
 Dim curYear  ' "             "   - year
 Dim curDay
 Dim lastClass
 Dim lastRowIdx
 Dim lastColIdx
 Dim strCurrDate
 Dim ThereIsASelectedRow

 strCurrDate = vbNullString
 ThereIsASelectedRow = False
 
 Sub window_onunload
     window.returnValue = strCurrDate
 End Sub
 
 Function HighLightCell(rowIdx,colIdx)

    if lastClass <> vbNullString OR ThereIsASelectedRow Then
       tblCal.rows(rowIdx).cells(colIdx).style.backgroundColor = "Aquamarine"
       tblCal.rows(lastRowIdx).cells(lastColIdx).style.backgroundColor	= ""
       tblCal.rows(lastRowIdx).cells(lastColIdx).className = lastClass
    End If
    lastClass = tblCal.rows(rowIdx).cells(colIdx).className
    tblCal.rows(rowIdx).cells(colIdx).style.backgroundColor	= "Aquamarine"
    curDay = tblCal.rows(rowIdx).cells(colIdx).innerText
	lastRowIdx = rowIdx
	lastColIdx = colIdx
	
 End Function
 
 Function SetCurrDate()
    Dim tempMon
    Dim tempCheckDate
    
    if lastClass <> vbNullString Then       
       if tblCal.rows(lastRowIdx).cells(lastColIdx).className = "TDInactive" Then 'not active row
          tempMon = curMonth
          'for Month 
          if lastRowIdx = 5 Then 'first row
             curMonth = Month(DateAdd("m", -1,CSTR(curMonth) & "/01/" & Cstr(curYear)))
          else 'bottom rows
             curMonth = Month(DateAdd("m", 1,CSTR(curMonth) & "/01/" & Cstr(curYear)))          
          end if
          'for Year
          if lastRowIdx = 5 Then 'first row             
             curYear = Year(DateAdd("m", -1,CSTR(tempMon) & "/01/" & Cstr(curYear)))
          else 'bottom rows
             curYear = Year(DateAdd("m", 1,CSTR(tempMon) & "/01/" & Cstr(curYear)))          
          end if
       End If
    End If

	tempCheckDate = string(2-len(CStr(curMonth)),"0") & CStr(curMonth) & "/" & string(2-len(CStr(curDay)),"0") & Cstr(curDay) & "/" & CStr(curYear)
	Const ERRMESS_PLSSELECTADATE = "Please select a date!"
	if not isdate(tempCheckDate) then
	   msgbox ERRMESS_PLSSELECTADATE, vbInformation, document.title  
	   exit function
	else
	   strCurrDate = string(2-len(CStr(curMonth)),"0") & CStr(curMonth) & "/" & string(2-len(CStr(curDay)),"0") & Cstr(curDay) & "/" & CStr(curYear)	
	   window.close 	   
	end if	

 End Function

 Sub ShowCalendar
	'Month constants
	const January = 1
	const February = 2
	const March = 3
	const April = 4
	const May = 5
	const June = 6
	const July = 7  
	const August = 8
	const September = 9
	const October = 10   
	const November = 10   
	const December = 12    
 
	Dim startDay
	Dim dayCtr
	Dim lastDay
	Dim curLastDay
	Dim startDate
	dim rowCtr
	dim colCtr
	Dim todayShown
   
    todayShown = False
   
    if lastClass <> vbNullString Then
       tblCal.rows(lastRowIdx).cells(lastColIdx).style.backgroundColor	= ""
    end If   
    lastClass = vbNullString 'initialize/re-initialize
    
	startDay = weekday(CStr(curMonth) & "/01/" & Cstr(curYear))

	'Set header
	tblCal.rows(1).cells(1).innerText = monthname(curMonth) & " " & Cstr(curYear)
 
	'for Last Month
	Select Case Month(DateAdd("m",-1,Cstr(curMonth)+"/01/"+Cstr(curYear)))
	       Case September, April, June, November
	            lastDay = 30
	       Case February
	            if Year(Cstr(curMonth)+"/01/"+Cstr(curYear)) Mod 4 = 0 Then 'Leap Year
	               lastDay = 29
	            Else
	               lastDay = 28
	            End If
	       Case Else
	            lastDay = 31
	End Select        
 
	'for Current Month
	 Select Case Month(Cstr(curMonth)+"/01/"+Cstr(curYear)) 
	       Case September, April, June, November
	            curLastDay = 30
	       Case February
	            if Year(Cstr(curMonth)+"/01/"+Cstr(curYear)) Mod 4 = 0 Then 'Leap Year
	               curLastDay = 29
	            Else
	               curLastDay = 28
	            End If
	       Case Else
	            curLastDay = 31
	End Select        
 
	startDate = lastDay - (startDay-2) 
 
	'for inactive dates (not falling within the month)
	for dayCtr = vbSunday To startDay-1
        tblCal.rows(5).cells(dayctr-1).innerHTML = "<DIV OnClick='HighLightCell(5," & dayCtr-1 & ")' ondblclick='SetCurrDate()'>" & CStr(startDate+(dayctr-1)) & "</DIV>" 'starting row is 5	    
	    tblCal.rows(5).cells(dayctr-1).className = "TDInactive"
	next

	Dim startLastInActive
    startLastInActive = False
    
	'for active dates
	dayctr = 1
	for rowCtr = 5 to 10
	    for colCtr = 0 to 6
	        if rowCtr = 5 Then 'first row (can have inactive rows)
	           if colctr >= startDay-1 Then  'If active dates
                  tblCal.rows(rowCtr).cells(colCtr).innerHTML = "<DIV OnClick='HighLightCell(" & rowCtr & "," & colCtr & ")' ondblclick='SetCurrDate()'>" & Cstr(dayCtr) & "</DIV>"
                  
				  'Highlight selected day based on input param (oninitialize)
				  if isdate(argParam(InputDateIdx)) AND Not Initialized Then
				     if dayCtr = curDay AND curMonth = Month(argParam(InputDateIdx)) AND curYear = Year(argParam(InputDateIdx)) Then
					    HighLightCell rowCtr, colCtr
					    ThereIsASelectedRow = True
					 End If                  					 
				  End if                  
                  
	              tblCal.rows(rowCtr).cells(colCtr).className = "TDActive"	              	                                
                  
				  if dayCtr = Day(Date) AND (curMonth = Month(Date)) And (curYear = Year(Date)) AND (Not todayShown) Then 'Today	           	           
				     tblCal.rows(rowCtr).cells(colCtr).className = "TDToday"
				     todayShown = True
				  End If	          
                  
	              dayCtr = dayCtr + 1  
	           else
	              tblCal.rows(rowCtr).cells(colCtr).className = "TDInactive"
	           End If	        
	        else
               if dayCtr > curLastDay Then               
	              dayCtr = 1
	              startLastInActive = True
	           end if   
	              
	           if startLastInActive Then
                  tblCal.rows(rowCtr).cells(colCtr).className = "TDInactive"
	           else
                  tblCal.rows(rowCtr).cells(colCtr).className = "TDActive"	              
	           End If 
	              
               tblCal.rows(rowCtr).cells(colCtr).innerHTML = "<DIV OnClick='HighLightCell(" & rowCtr & "," & colCtr & ")' ondblclick='SetCurrDate()'>" & Cstr(dayCtr) & "</DIV>"
	           
	           'Highlight selected day based on input param (oninitialize)
               if isdate(argParam(InputDateIdx)) AND Not Initialized Then
                  if dayCtr = curDay AND curMonth = Month(argParam(InputDateIdx)) AND curYear = Year(argParam(InputDateIdx)) and dayCtr > 7 Then
                     HighLightCell rowCtr, colCtr
 				     ThereIsASelectedRow = True                     
                  End If                  
               End if
               
	           if dayCtr = Day(Date) AND (curMonth = Month(Date)) And (curYear = Year(Date)) AND (Not todayShown) Then 'Today	           	           
	              tblCal.rows(rowCtr).cells(colCtr).className = "TDToday"
                  todayShown = True
	           End If	                             
	           
	           dayCtr = dayCtr + 1                    
	        end if         
	    next
	next  
 
 End Sub

 Sub cmdPrev_onclick
     Dim tempDate
     tempDate = DateAdd("m",-1,Cstr(curMonth)+"/01/"+Cstr(curYear))  
     
     if year(tempDate) < minYear Then  exit sub
     ThereIsASelectedRow = False
     curMonth = Month(tempDate)
     curYear = Year(tempDate)      
     
     ShowCalendar 
 End Sub

 Sub cmdNext_onclick
     Dim tempDate
     tempDate = DateAdd("m",1,Cstr(curMonth)+"/01/"+Cstr(curYear)) 
     
     if year(tempDate) > maxYear Then  exit sub
     ThereIsASelectedRow = False
     curMonth = Month(tempDate)
     curYear = Year(tempDate) 
     ShowCalendar      
 End Sub
 
 Sub cmdGoTo_onclick     
     Dim tempDate     
     tempDate = Cstr(cboMonth.value)+"/01/"+Cstr(cboYear.value)
     ThereIsASelectedRow = False
     curMonth = Month(tempDate)
     curYear = Year(tempDate) 
     ShowCalendar           
 End Sub