<%
function SetPollCSS(conn, selection)

	Dim objRS
	Set objRS = Server.CreateObject("ADODB.Recordset")
	objRS.Open "select * from PollParams where id=1", conn, adOpenKeyset, adLockPessimistic
	with objRs
		.Fields("default_css") = selection
		.Update
	end with
	objRS.Close
	Set objRS = Nothing	

end function

function GetPollCSS(conn)

	Dim objRS
	Set objRS = Server.CreateObject("ADODB.Recordset")
	objRS.Open "select * from PollParams", conn
	with objRs
		GetPollCSS = .Fields("default_css")
	end with
	objRS.Close
	Set objRS = Nothing	

end function

function SetStyles(selection)

	Select Case selection
		Case "Classic"
			SetClassicStyle()
		Case "Updated"
			SetUpdatedStyle()
		Case "Modern"
			SetModernStyle()
		Case "Paper"
			SetPaperStyle()
	End Select

end function

function SetClassicStyle()
	Session("pa_SELECTION") = "Classic"
	Session("pa_LOGO_IMAGE") = ""
	Session("pa_TABLE_BORDER") = 1
	
	Session("pa_HEAD_BGCOLOR") = "silver"
	Session("pa_HEAD_TD_ALIGN") = "center"	
	Session("pa_HEAD_TEXT_COLOR") = "darkblue"
	Session("pa_HEAD_TEXT_FONT") = "verdana"
	Session("pa_HEAD_TEXT_MESSAGE") = "QUICK POLL"
	Session("pa_HEAD_TEXT_SIZE") = 2
	
	Session("pa_MAIN_BGCOLOR") = "darkred"
	
	Session("pa_CURRENTPOLL_TITLE_COLOR") = "white"
	Session("pa_CURRENTPOLL_TITLE_FONT") = "verdana"
	Session("pa_CURRENTPOLL_TITLE_SIZE") = 2
	
	Session("pa_CURRENTPOLL_QUESTIONS_COLOR") = "white"
	Session("pa_CURRENTPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_CURRENTPOLL_QUESTIONS_SIZE") = 2
	
	Session("pa_SECONDARY_BGCOLOR") = "silver"
	
	Session("pa_CURRENTPOLL_BUTTON_TEXT") = "Vote!"
	Session("pa_CURRENTPOLL_BUTTON_TEXTBABOVE") = "Vote on this question to see voting results to date."
	Session("pa_CURRENTPOLL_BUTTON_TEXT_ABOVE_COLOR") = "white"
		
	Session("pa_PREVIOUSPOLL_HEAD_TD_ALIGN") = "center"	
	Session("pa_PREVIOUSPOLL_HEAD_BGCOLOR") = "silver"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_SIZE") = 2
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_MESSAGE") = "PREVIOUS POLL RESULTS"
	
	Session("pa_PREVIOUSPOLL_TITLE_COLOR") = "darkred"
	Session("pa_PREVIOUSPOLL_TITLE_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_TITLE_SIZE") = 1
	
	Session("pa_PREVIOUSPOLL_QUESTIONS_COLOR") = "darkblue"
	Session("pa_PREVIOUSPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_QUESTIONS_SIZE") = 1
	
	Session("pa_GRAPHBAR_IMAGE_HIGH") = "/pollsadmin/cms/img_library/stats_mesures/bluedot.gif"
	Session("pa_GRAPHBAR_IMAGE_LOW") = "/pollsadmin/cms/img_library/stats_mesures/lightblue.gif"

	Session("pa_GRAPHBAR_IMAGE_HEIGHT") = 15
	
	Session("pa_CURRENTPOLL_THANKS_VOTE") = "Thank you for voting"	
	Session("pa_CURRENTPOLL_HEAD_TEXT_MESSAGE") = "Poll Results"
end function

function SetUpdatedStyle()
	Session("pa_SELECTION") = "Updated"
	Session("pa_LOGO_IMAGE") = "/pollsadmin/cms/img_library/pollsetup/updated/logo.gif"
	Session("pa_TABLE_BORDER") = 0
	
	Session("pa_HEAD_BGCOLOR") = "silver"
	Session("pa_HEAD_TD_ALIGN") = ""	
	Session("pa_HEAD_TEXT_COLOR") = "black"
	Session("pa_HEAD_TEXT_FONT") = "verdana"
	Session("pa_HEAD_TEXT_MESSAGE") = "Quick Poll"
	Session("pa_HEAD_TEXT_SIZE") = 2
	
	Session("pa_MAIN_BGCOLOR") = "white"
	
	Session("pa_CURRENTPOLL_TITLE_COLOR") = "black"
	Session("pa_CURRENTPOLL_TITLE_FONT") = "verdana"
	Session("pa_CURRENTPOLL_TITLE_SIZE") = 2
	
	Session("pa_CURRENTPOLL_QUESTIONS_COLOR") = "black"
	Session("pa_CURRENTPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_CURRENTPOLL_QUESTIONS_SIZE") = 2
	
	Session("pa_SECONDARY_BGCOLOR") = "white"
	
	Session("pa_CURRENTPOLL_BUTTON_TEXT") = "Vote!"
	Session("pa_CURRENTPOLL_BUTTON_TEXT_ABOVE") = "Vote on this question to see voting results to date."
	Session("pa_CURRENTPOLL_BUTTON_TEXT_ABOVE_COLOR") = "black"
	
	Session("pa_PREVIOUSPOLL_HEAD_TD_ALIGN") = "center"	
	Session("pa_PREVIOUSPOLL_HEAD_BGCOLOR") = "silver"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_SIZE") = 2
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_MESSAGE") = "PREVIOUS POLL"
	
	Session("pa_PREVIOUSPOLL_TITLE_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_TITLE_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_TITLE_SIZE") = 1
	
	Session("pa_PREVIOUSPOLL_QUESTIONS_COLOR") = "darkblue"
	Session("pa_PREVIOUSPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_QUESTIONS_SIZE") = 1
	
	Session("pa_GRAPHBAR_IMAGE_HIGH") = "/pollsadmin/cms/img_library/pollsetup/updated/bar.gif"
	Session("pa_GRAPHBAR_IMAGE_LOW") = "/pollsadmin/cms/img_library/pollsetup/updated/bar.gif"
	
	Session("pa_GRAPHBAR_IMAGE_HEIGHT") = 15	
	
	Session("pa_CURRENTPOLL_THANKS_VOTE") = "Thank you for voting"	
	Session("pa_CURRENTPOLL_HEAD_TEXT_MESSAGE") = "Poll Results"	
end function

function SetModernStyle()
	Session("pa_SELECTION") = "Modern"
	Session("pa_LOGO_IMAGE") = ""
	Session("pa_TABLE_BORDER") = 0
	
	Session("pa_HEAD_BGCOLOR") = "white"
	Session("pa_HEAD_TD_ALIGN") = "left"	
	Session("pa_HEAD_TEXT_COLOR") = "#800000"
	Session("pa_HEAD_TEXT_FONT") = "arial"
	Session("pa_HEAD_TEXT_MESSAGE") = "Quick Poll"
	Session("pa_HEAD_TEXT_SIZE") = 3
	
	Session("pa_MAIN_BGCOLOR") = "white"
	
	Session("pa_CURRENTPOLL_TITLE_COLOR") = "black"
	Session("pa_CURRENTPOLL_TITLE_FONT") = "verdana"
	Session("pa_CURRENTPOLL_TITLE_SIZE") = 2
	
	Session("pa_CURRENTPOLL_QUESTIONS_COLOR") = "black"
	Session("pa_CURRENTPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_CURRENTPOLL_QUESTIONS_SIZE") = 2
	
	Session("pa_SECONDARY_BGCOLOR") = "#5b959f"
	
	Session("pa_CURRENTPOLL_BUTTON_TEXT") = "Vote!"
	Session("pa_CURRENTPOLL_BUTTON_TEXTBABOVE") = "Vote on this question to see voting results to date."
	Session("pa_CURRENTPOLL_BUTTON_TEXT_ABOVE_COLOR") = "black"
		
	Session("pa_PREVIOUSPOLL_HEAD_TD_ALIGN") = "left"	
	Session("pa_PREVIOUSPOLL_HEAD_BGCOLOR") = "silver"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_SIZE") = 2
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_MESSAGE") = "PREVIOUS"
	
	Session("pa_PREVIOUSPOLL_TITLE_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_TITLE_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_TITLE_SIZE") = 1
	
	Session("pa_PREVIOUSPOLL_QUESTIONS_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_QUESTIONS_SIZE") = 1
	
	Session("pa_GRAPHBAR_IMAGE_HIGH_LEFT") = "/pollsadmin/cms/img_library/pollsetup/modern/high_left.jpg"	
	Session("pa_GRAPHBAR_IMAGE_HIGH_RIGHT") = "/pollsadmin/cms/img_library/pollsetup/modern/high_right.jpg"
	Session("pa_GRAPHBAR_IMAGE_HIGH") = "/pollsadmin/cms/img_library/pollsetup/modern/high_center.jpg"
	
	Session("pa_GRAPHBAR_IMAGE_LOW_LEFT") = "/pollsadmin/cms/img_library/pollsetup/modern/low_left.jpg"	
	Session("pa_GRAPHBAR_IMAGE_LOW_RIGHT") = "/pollsadmin/cms/img_library/pollsetup/modern/low_right.jpg"
	Session("pa_GRAPHBAR_IMAGE_LOW") = "/pollsadmin/cms/img_library/pollsetup/modern/low_center.jpg"
	
	
	Session("pa_GRAPHBAR_IMAGE_LEFT_WIDTH") = 5
	Session("pa_GRAPHBAR_IMAGE_HEIGHT") = 9
	Session("pa_GRAPHBAR_IMAGE_RIGHT_WIDTH") = 5
	
	Session("pa_CURRENTPOLL_THANKS_VOTE") = "Thank you for voting"
	Session("pa_CURRENTPOLL_HEAD_TEXT_MESSAGE") = "Poll Results"
end function

function SetPaperStyle()
	Session("pa_SELECTION") = "Modern"
	Session("pa_LOGO_IMAGE") = ""
	Session("pa_TABLE_BORDER") = 1
	
	Session("pa_HEAD_BGCOLOR") = "silver"
	Session("pa_HEAD_TD_ALIGN") = "left"	
	Session("pa_HEAD_TEXT_COLOR") = "Black"
	Session("pa_HEAD_TEXT_FONT") = "arial"
	Session("pa_HEAD_TEXT_MESSAGE") = "Quick Poll"
	Session("pa_HEAD_TEXT_SIZE") = 3
	
	Session("pa_MAIN_BGCOLOR") = "#eeeeeb"
	
	Session("pa_CURRENTPOLL_TITLE_COLOR") = "black"
	Session("pa_CURRENTPOLL_TITLE_FONT") = "verdana"
	Session("pa_CURRENTPOLL_TITLE_SIZE") = 2
	
	Session("pa_CURRENTPOLL_QUESTIONS_COLOR") = "black"
	Session("pa_CURRENTPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_CURRENTPOLL_QUESTIONS_SIZE") = 2
	
	Session("pa_SECONDARY_BGCOLOR") = "#eeeeeb"
	
	Session("pa_CURRENTPOLL_BUTTON_TEXT") = "Vote!"
	Session("pa_CURRENTPOLL_BUTTON_TEXTBABOVE") = "Vote on this question to see voting results to date."
	Session("pa_CURRENTPOLL_BUTTON_TEXT_ABOVE_COLOR") = "black"
		
	Session("pa_PREVIOUSPOLL_HEAD_TD_ALIGN") = "left"	
	Session("pa_PREVIOUSPOLL_HEAD_BGCOLOR") = "silver"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_SIZE") = 2
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_HEAD_TEXT_MESSAGE") = "PREVIOUS"
	
	Session("pa_PREVIOUSPOLL_TITLE_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_TITLE_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_TITLE_SIZE") = 1
	
	Session("pa_PREVIOUSPOLL_QUESTIONS_COLOR") = "black"
	Session("pa_PREVIOUSPOLL_QUESTIONS_FONT") = "verdana"
	Session("pa_PREVIOUSPOLL_QUESTIONS_SIZE") = 1
	
	Session("pa_GRAPHBAR_IMAGE_HIGH_LEFT") = "/pollsadmin/cms/img_library/pollsetup/paper/high_left.jpg"	
	Session("pa_GRAPHBAR_IMAGE_HIGH_RIGHT") = "/pollsadmin/cms/img_library/pollsetup/paper/high_right.jpg"
	Session("pa_GRAPHBAR_IMAGE_HIGH") = "/pollsadmin/cms/img_library/pollsetup/paper/high_center.jpg"
	
	Session("pa_GRAPHBAR_IMAGE_LOW_LEFT") = "/pollsadmin/cms/img_library/pollsetup/paper/high_left.jpg"	
	Session("pa_GRAPHBAR_IMAGE_LOW_RIGHT") = "/pollsadmin/cms/img_library/pollsetup/paper/high_right.jpg"
	Session("pa_GRAPHBAR_IMAGE_LOW") = "/pollsadmin/cms/img_library/pollsetup/paper/high_center.jpg"
	
	Session("pa_GRAPHBAR_IMAGE_LEFT_WIDTH") = 1
	Session("pa_GRAPHBAR_IMAGE_HEIGHT") = 9
	Session("pa_GRAPHBAR_IMAGE_RIGHT_WIDTH") = 11
	
	Session("pa_CURRENTPOLL_THANKS_VOTE") = "Thank you for voting"
	Session("pa_CURRENTPOLL_HEAD_TEXT_MESSAGE") = "Poll Results"
end function
%>