<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:s="uuid:BDC6E3F0-6DA3-11d1-A2A3-00AA00C14882" 
	xmlns:dt="uuid:C2F41010-65B3-11d1-A29F-00AA00C14882" 
	xmlns:rs="urn:schemas-microsoft-com:rowset" 
	xmlns:z="#RowsetSchema"
>
	<xsl:output method="xml" version="1.0" encoding="UTF-16" indent="yes"/>

	<xsl:param name="srcName" />
	<xsl:param name="trgName" />

	<xsl:template match="@* | text() | processing-instruction()">
		<xsl:copy>
			<xsl:apply-templates  select="@* | text() | node() | processing-instruction()" />
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="node()">
		<xsl:choose>
			<xsl:when test="name()=$srcName">
				<xsl:element name="{$trgName}">
					<xsl:apply-templates  select="@* | text() | node() | processing-instruction()" />
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates  select="@* | text() | node() | processing-instruction()" />
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
