<%

  'Copyright (c) Ryan Conrad 2002
  'This Script is free for you to use and redistribute as long as this
  'Copyright statement is kept intact.  You may change the code in anyway
  'that you see fit.  This script is not a virus.  This Script is offered AS-IS, with no garantees of
  'any kind.
  'Questions? Comments? send them to witenite87@hotmail.com
  
  
  'now the good stuff
  'This Script will go out to planetsourcecode.com and retrieve the
  'newest submissions.
  'It saves the data it got in a text file so we don't get the info
  'every time the page loads.
  'It will get the submissions from ALL Worlds on PSC.
  'After it gathers the data it strips All the HTML from it.
  'Then it will out put the submission in a table for easy display
  
  
  ':::SYNTAX:::
  'EXAMPLE HTML
  '<tr>
  '        <td>
  '            <!-- Start PSC VB Submissions -->
  '          < %
  '            fworld = 1
  '          % >
  '          <!--#include virtual="/news/psc.asp" -->
  '          <!-- End PSC VB Submissions -->
  '        </td>
  '      </tr>
  
  
  'Here we set the Local Machine URL
  'I use 127.0.0.1 ust to call the loopback
  strLocalURL = "http://127.0.0.1/scripts/news/psc" & fWorld & ".txt"
  'Set the Number of hours between Updates
  updateHours = 2
  'The Number of items to display
  intDisplay = 5'This is only used if fCount is not set
  'The Number of Chars before we truncate
  intTrunc = 25
  'The path to the file where the data will be saved
  'I used the file name psc" & fWorld & ".txt"
  'so I can call different Worlds with one script
  datafile= server.MapPath("/scripts/news/psc" & fWorld & ".txt")
  'Get The World if there isn't one or its not a good one
  'We will set a default
  if fWorld = "" or fWorld > 9 then
    fWorld = 1
  end if
  
  'See if the Item Display was Set if not set it now
  if fCount = "" then
    fCount = cint(Request.Item("fcount"))
    if fcount = 0 or fcount = null then fcount = intDisplay
  end if
  
  'Now we will set fName to hold the Name of the World we
  'Are getting the data from
  'Used to display info to end user
  select case fWorld
    case 1
      fName = "Visual Basic"
    case 2
      fName = "Java / Javascript"
    case 3
      fName = "C / C++"
    case 4
      fname = "ASP / VBScript"
    case 5
      fName = "SQL"
    case 6
      fName = "Perl"
    case 7
      fName = "Delphi"
    case 8
      fName = "PHP"
    case 9 
      fName = "ColdFusion"
    case else
      fName = "Visual Basic"
      fWorld = 1
  end select
  
  'Clear the strData Var
  strData = ""
  
  'Create FileSystemObject 
  Set fs = CreateObject("Scripting.FileSystemObject")
  'Check to see if we already have the file
  If fs.FileExists(datafile) Then
    'The file does exist
    'Set the FSO to the file
    Set file = fs.getFile(datafile)
    'Check the creation time of the file
    hoursOld = DateDiff("h",file.DateCreated,Now())
    'if the file is older the the time to update then 
    If hoursOld > updateHours Then
      'We are not going to call the file local
      processPSC(false)
      'delete the local file
      File.Delete
    else
      'It is not time to update so we will cal the local file
      processPSC(true) 
    End If
  Else
    'We don't even have the file so we will call the file from 
    'PSC then we will create it later
    processPSC(false)
  End If
  
  'this is where all the real fun starts
  FormatPSCData
  
  
  'Clean Up
  set objHTTP = nothing
  set File = nothing
  set fs = nothing
  
  
  
  
  'Just outputs the finished data
  sub PrintPSC()
  
   %>
      <table cellpadding=0 cellspacing=0 border=0 width=100%>
        <tr>
          <td align=center bgcolor="silver" style="font-weight:bold;font-size:9pt;">
            <a href="http://planetsourcecode.com?lngWId=<%=fWorld%>" target="_new" onmouseover="status='Newest Submissions to Planet Source Code (<%= fName%>)';return true;" onmouseout="status='';">PSC (<%= fName %>)</a>
          </td>
        </tr>
  <%
    LoadPSCArray
  %>
        
      </table>
      
      
  <%
  end sub
  
  'Called By PrintPSC
  'This Splits the Formated Data into an array and
  'Outputs the data
  Sub LoadPSCArray()
    'Split each submission
    ArrData = split(strdata,"%&%")
    'go through each submission
    for x = 0 to fcount-1
      'split the submission apart
      'URL,NAME,USER
      ArrItem = split(ArrData(x),"|")
      'We will truncate the Name for display
      if len(arritem(1)) > 25 then
        strtemp = mid(arritem(1),1,25) & "..."
      else
        strtemp = arritem(1)
      end if
      'output the submission in our format
 %>
        <tr>
          <td align=left style="font-size:7pt;">
            <nobr>
            <b></b><a href="<%= arrItem(0) %>" target="_news" style="font-size:7pt;" onmouseover="status='<%=replace(arrItem(1),"'","\'")%>';return true;" onmouseout="status='';"><%=strtemp%></a> by <%=arritem(2)%>
            </nobr>
          </td>
        </tr>
 <% 
    'Do the Next Submission in the Array
    next
  end Sub
  
  'This is where we will get the data, either from PSC or Locally
  function GetPSC(islocal)
    if islocal then
      strUrl = strLocalURL
    else
      strUrl = "http://www.Planet-Source-Code.com/vb/linktous/ScrollingCode.asp?lngWId=" & fWorld 
    end if
    Set objHTTP = Server.CreateObject("Microsoft.XMLHTTP")
    objHTTP.open "GET", strurl , False
    objHTTP.send
    'Store the Data
    getPSC = objhttp.responsetext
    'Save the File If we got it from PSC
    if not islocal then
      set lfile = fs.CreateTextFile(datafile,true)
      lfile.write(objhttp.responsetext)
    end if
  end function
  
  
  'The start of EVERYTHING
  'This is what says to get the data.
  'it then removes any TAB's and LF's & CR's
  'Also sets the Start and end if the Data We Need
  sub ProcessPSC(isLocal)
    'Get The Data
    strData = replace(GetPSC(islocal),chr(13),"")
    'Replace all tabs, cr's and lf's
    strdata = replace(strdata,chr(10),"")
    strdata = replace(strdata,chr(9),"")
    'set the start position
    lngStart = instr(1,strData,"<a href=" & chr(34) & "/xq/ASP/txtCodeId")
    if lngstart > 0 then
      'set the end position
      lngEnd = instr(lngstart,strdata,"</table></marquee>") - (lngstart+23)
      'store the new data
      strData = mid(strData,lngstart,lngend)
    end if
  end sub

  'this removes all traces of the screen shot links
  sub PSCRemoveSShot()
    lngstart = instr(1,lcase(strdata),"<a href=" & chr(34) & "http://upload.")
    if lngstart > 0 then
      do
        lngend = instr(lngstart,strdata,">") - (lngstart)
        strTemp = mid(strdata,lngstart,lngend)
        lngstart = instr(1,lcase(strdata),"<a href=" & chr(34) & "http://upload.")
        strData = replace(strdata,strtemp,"")
        Response.Flush
        if not Response.IsClientConnected then exit do
      loop while lngstart > 0
    end if
    strdata = replace(strdata,"(Screen Shot)","")
  end sub
  
  'this will remove any html tag (the entire tag from < to >)
  Sub PSCRemoveTag(strTagName)
    lngstart = instr(1,lcase(strdata),"<" & lcase(strTagname))
    if lngstart > 0 then
      do
        lngend = instr(lngstart,strdata,">") - (lngstart - 1)
        strTemp = mid(strdata,lngstart,lngend)
        strData = replace(strdata,strtemp,"")
        lngstart = instr(lngstart + len(strtagname) + 1,lcase(strdata),"<" & lcase(strTagname))
        Response.Flush
        if not Response.IsClientConnected then exit do
      loop while lngstart > 0
    end if
  end sub
  
  'this removes any <a tags but keeps the url
  'it adds http://planetsourcecode.com to it so we can link there
  'It also adds an "|" so we can split the data
  sub PSCGetID()
    strData = replace(strdata,"<a href=" & chr(34),"http://planetsourcecode.com")
    strdata = replace(strdata,chr(34) & " target=" &  chr(34) & "_top" & chr(34) & " >","|")
    strdata = replace(strdata,chr(34) & " target=" &  chr(34) & "_top" & chr(34) & ">","|")
    strdata = replace(strdata,chr(34) & " target=" &  chr(34) & "_new" & chr(34) & " >","|")
    strdata = replace(strdata,chr(34) & " target=" &  chr(34) & "_new" & chr(34) & ">","|")
  end sub
  'Finds the End Of the Item then adds "%&%" so we can split the data
  sub SetEndOfItem()
    lngstart = instr(1,lcase(strdata),"&nbsp;on&nbsp;")
    lngend = instr(lngstart,lcase(strdata),"http://")
    if lngstart > 0 then
      do while lngstart > 0 and lngend > 0
        lngend = instr(lngstart,lcase(strdata),"http://")
        if lngend = 0 then
          lngend = len(strdata)+2
        end if
        strtemp = mid(strdata,lngstart,lngend - lngstart)
        strdata = replace(strdata,strtemp,"%&%")
        lngstart = instr(lngstart + 4 ,lcase(strdata),"&nbsp;on&nbsp;")
        if not Response.IsClientConnected then exit do
      loop 
    end if
  end sub
  
  
  sub FormatPSCData()
    'remove the screenshot links
    PSCRemoveSShot
    'we replace the to help use split the data
    strdata = replace(strdata,"<BR>By","|")
    'remove the tags
    PSCremovetag "font"
    PSCremovetag "img"
    'this will remove <b> and <br>
    PSCremovetag "b"
    PSCremovetag "i"
    PSCremovetag "u"
    PSCremovetag "/font"
    PSCremovetag "/b"
    PSCremovetag "/i"
    PSCremovetag "/u"
    PSCremovetag "/table"
    PSCremovetag "tr"
    PSCremovetag "/tr"
    PSCremovetag "td"
    PSCremovetag "/a"
    'this will help us split the data
    PSCGetID
    'this just removes any left over > in the data
    'for some reason from time to time there are a few
    'of these... if anyone figures out how to fix this without
    'this line please email me
    strdata = replace(strdata,">","")
    'this will set the end of the submission
    'so we can split it up
    SetEndOfItem
    'PRINT THE OUTPUT!!!!!
    PrintPSC
  end sub
  
  
%>
