
function getFileListXML(path, xml, root) {
	var oFileSys  = new ActiveXObject("Scripting.FileSystemObject");
	var	oFolder = oFileSys.GetFolder(path);
	root.appendChild(getFolderXML(xml, oFolder, "CurrentDirectory"));
	
	if (oFolder != oFolder.Drive.RootFolder) {
		var folder = oFolder.IsRootFolder ? oFolder.Drive.RootFolder : oFolder.ParentFolder;
		root.appendChild(getFolderXML(xml, folder, "ParentDirectory"));
	}
	
	var oSubFolders = new Enumerator(oFolder.SubFolders);
	for ( ; !oSubFolders.atEnd(); oSubFolders.moveNext()) {
		root.appendChild(getFolderXML(xml, oSubFolders.item(), "Directory"));
	}
	
	var oFiles  = new Enumerator(oFolder.files);
	for (; !oFiles.atEnd(); oFiles.moveNext()) {
		root.appendChild(getFileXML(xml, oFiles.item()));
	}
}

function getFolderXML(xml, folder, type) {
	var node = xml.createElement(type);
	try {
		xmlAppendChild(xml, node, "Path",              folder.Path                );
		xmlAppendChild(xml, node, "Name",              folder.Name                );
		xmlAppendChild(xml, node, "DateLastModified",  folder.DateLastModified    );
	} catch (e) {}	
	return node;
}

function getFileXML(xml, f) {
	var node = xml.createElement("File");
	
	try {
		xmlAppendChild(xml, node, "Name",              f.Name   );
		xmlAppendChild(xml, node, "Path",              f.Path   );
		xmlAppendChild(xml, node, "Size",              f.Size   );
		xmlAppendChild(xml, node, "Type",              f.Type   );
		xmlAppendChild(xml, node, "DateLastModified",  f.DateLastModified   );
	} catch (e) {}
	return node;	
}
