<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output method="html" version="4.0"/>

	<xsl:template match="/">
		<xsl:apply-templates select="AddressLists"/>
	</xsl:template>
	
	<xsl:template match="AddressLists">
		<xsl:apply-templates select="AddressList"/>
	</xsl:template>

	<xsl:template match="AddressList">
		<xsl:variable name="id">
			<xsl:value-of select="generate-id(.)"/>
		</xsl:variable>
		<TABLE border="0" cellpadding="0" cellspacing="0">
			<TR id="tr1_{$id}">
				<TD id="td1_{$id}">
					<INPUT type="checkbox" checked="true" dataType="AddressList" disabled="true" path="{./Name}"/>
				</TD>
				<TD id="td2_{$id}" nowrap="true" >
					<xsl:value-of select="./Name"/>
				</TD>
			</TR>
		</TABLE>
	</xsl:template>

 </xsl:stylesheet>
      