<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" version="4.0"/>

	<xsl:template match="/BackupList">
		<SELECT id="selBackup" onchange="loadBackup()">
			<xsl:apply-templates select="Backup"/>
		</SELECT>
	</xsl:template>

	<xsl:template match="Backup">
		<OPTION value="{./Path}" backupID="{./ID}">
			<xsl:if test="@id[.=/BackupList/Default/ID]">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="./Name"/>	
		</OPTION>
	</xsl:template>

</xsl:stylesheet>