<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">
	<xsl:import href="MailItem2Head.xsl"/>
	<xsl:output method="html" version="4.0"/>

	<xsl:template match="/">
		<HTML>
			<HEAD>
				<META HTTP-EQUIV="MSThemeCompatible" CONTENT="Yes"/>
				<META HTTP-EQUIV="EXPIRES" CONTENT="0"/>
			</HEAD>
			<LINK rel="stylesheet" href="Style.css" type="text/css"/>
			
			<SCRIPT language="JScript">
			<![CDATA[
	
				function pgLoad() {
					showPreview() 
				}
				
				function showPreview() {
					if (top.viewFormat == "text") {
						document.all.cnHtmlBody.src = "./mail.xml.body.html";
					} else {
						document.all.cnHtmlBody.src = "./mail.body.html";
					}
				}
				
				function update() {
					showPreview();
				}
				
				function clearPane() {

				}	
			]]>
			</SCRIPT>
			
			<BODY onload="pgLoad()" style="margin:0px; padding:0px;">
				<TABLE border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
					<TR height="1%">
						<TD>
							<DIV id="cnHead">
								<xsl:apply-templates select="MailItem"/>
							</DIV>
						</TD>
					</TR>
					<TR>
						<TD>
							<IFRAME id="cnHtmlBody" width="100%" height="100%" class="Frame_MailBody" style="border-bottom:#808080 2px outset"></IFRAME>
						</TD>
					</TR>
				</TABLE>
			</BODY>
		</HTML>
	</xsl:template>
	
</xsl:stylesheet>			