<%

'Default Const
Const DefaultTitle = "Type_Your_String_Here"
Const DefaultKeywords = "Type_Your_String_Here"
Const DefaultDescription = "Type_Your_String_Here"
Const DefaultFirst200Chrs = "Type_Your_String_Here"
Const strTopRatingConn = "PROVIDER=MICROSOFT.JET.OLEDB.4.0; DATA SOURCE=C:\...\TopRating.mdb"


'****************************************************************************************
'*																						*
'*	MANAGE TopRating.mdb WITH DBMANAGER.ASP												*
'*	http://www.planetsourcecode.com/vb/scripts/ShowCode.asp?lngWId=4&txtCodeId=6879		*
'*																						*
'*	TIPS TO IMPROVE YOUR WEB RANKING													*
'*	http://www.dynasubmission2000.com/dynamic/tips.html									*
'*																						*
'****************************************************************************************


'USE THIS FILE THIS WAY
'
'	<!-- #include file="include-TopRating.asp" -->
'	<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
'	<HTML>
'	<HEAD>
'	< % subMetaTag() % >
'	</HEAD>
'
'	<BODY BGCOLOR="BLACK">
'
'	< % subFirst200Chrs() % >
'
'	Your page here
'
'	</BODY>
'	</HTML>



'--------------- TOP RATING ----------------------
'
'   FileName :	include-TopRating.asp
' 
'   Object :	Subs to catch robots and generate metatags+firstchrs
'
'   Author :	Simon La Rochelle
' 				E-Commerce Consultant
'				http://www.simon-larochelle.com
'				info@simon-larochelle.com
'
'   Created :	Sept 9 2001
'
'	Version : 1.0.1
'
'   (c) Simon La Rochelle - all rights reserved.
'
'-------------------------------------------------




'Variables declaration
Dim First200Chrs 'as string

Sub subMetaTag()

Dim strSQL 'as string
Dim objTopRatingCN 'as connection
Dim objTopRatingRS 'as recordset
Dim i 'as integer (or maybe long, but did'nt think so)

On error resume next

strSQL = "SELECT [Title],[Keywords],[Description],[First200Chrs]," & _
		 "(SELECT COUNT(MetaTagID) FROM [MetaTags]) AS lngCount " & _
		 "FROM [MetaTags] ORDER BY [MetaTagID] ASC"

Set objTopRatingCN = Server.CreateObject("ADODB.Connection")
Set objTopRatingRS = Server.CreateObject("ADODB.Recordset")

objTopRatingCN.Open strTopRatingConn

objTopRatingRS.Open strSQL, objTopRatingCN, 3, 1 '3 = OpenStatic, 1=ReadOnly

If not objTopRatingRS.EOF then
	i = objTopRatingRS.Fields("lngCount")
	'Go to a random record
	Randomize
	i = (int(Rnd * i))
	If i > 0 then
		objTopRatingRS.PageSize = i
		objTopRatingRS.AbsolutePage = 2
	End If
	'Add the current MetaTag
	Response.Write "<TITLE>" & objTopRatingRS.Fields("Title") & "</TITLE>" & vbcrlf & _
					"<META NAME=""Generator"" CONTENT=""EditPlus"">" & vbcrlf & _
					"<META NAME=""Author"" CONTENT=""Simon La Rochelle (www.simon-larochelle.com)"">" & vbcrlf & _
					"<META NAME=""Keywords"" CONTENT=""" & objTopRatingRS.Fields("Keywords")  & """>" & vbcrlf & _
					"<META NAME=""Description"" CONTENT=""" & objTopRatingRS.Fields("Description")  & """>" & vbcrlf & _
					"<META NAME=""Robots"" CONTENT=""index,follow"">" & vbcrlf & _
					"<META NAME=""Revisit-after"" CONTENT=""30"">" & vbcrlf
	'Store First200Chrs in variable
	First200Chrs = objTopRatingRS.Fields("First200Chrs")
Else
	Response.Write "<TITLE>" & DefaultTitle & "</TITLE>" & vbcrlf & _
					"<META NAME=""Generator"" CONTENT=""TopRating"">" & vbcrlf & _
					"<META NAME=""Author"" CONTENT=""Simon La Rochelle (www.simon-larochelle.com)"">" & vbcrlf & _
					"<META NAME=""Keywords"" CONTENT=""" & DefaultKeywords  & """>" & vbcrlf & _
					"<META NAME=""Description"" CONTENT=""" & DefaultDescription  & """>" & vbcrlf & _
					"<META NAME=""Robots"" CONTENT=""index,follow"">" & vbcrlf & _
					"<META NAME=""Revisit-after"" CONTENT=""30"">" & vbcrlf
	'Store Default First200Chrs in variable
	First200Chrs = DefaultFirst200Chrs
End If

'Close RS
objTopRatingRS.Close

'Close CN
objTopRatingCN.Close

'Clear Obj
Set objTopRatingRS = Nothing
Set objTopRatingCN = Nothing

'Trap Err
If Err then
	Response.Write "<TITLE>" & DefaultTitle & "</TITLE>" & vbcrlf & _
					"<META NAME=""Generator"" CONTENT=""TopRating"">" & vbcrlf & _
					"<META NAME=""Author"" CONTENT=""Simon La Rochelle (www.simon-larochelle.com)"">" & vbcrlf & _
					"<META NAME=""Keywords"" CONTENT=""" & DefaultKeywords  & """>" & vbcrlf & _
					"<META NAME=""Description"" CONTENT=""" & DefaultDescription  & """>" & vbcrlf & _
					"<META NAME=""Robots"" CONTENT=""index,follow"">" & vbcrlf & _
					"<META NAME=""Revisit-after"" CONTENT=""30"">" & vbcrlf
	'Store Default First200Chrs in variable
	First200Chrs = DefaultFirst200Chrs
End If

End Sub


Sub subFirst200Chrs()

On error resume next

'ADD 200 CHRS IF ROBOT
If instr(1,Request.ServerVariables("HTTP_USER_AGENT"), "MSIE") > 0 then
	If instr(1,ucase(Request.ServerVariables("HTTP_USER_AGENT")), "BOT") > 0 then
		Response.Write First200Chrs
	End If
ElseIf instr(1,Request.ServerVariables("HTTP_USER_AGENT"), "Mac") > 0 then
	If instr(1,ucase(Request.ServerVariables("HTTP_USER_AGENT")), "BOT") > 0 then
		Response.Write First200Chrs
	End If
ElseIf instr(1,Request.ServerVariables("HTTP_USER_AGENT"), "Linux") > 0 then
	If instr(1,ucase(Request.ServerVariables("HTTP_USER_AGENT")), "BOT") > 0 then
		Response.Write First200Chrs
	End If
Else
	Response.Write First200Chrs
End If

End Sub

%>