<!--#include file="constants.inc"-->
<!--#include file="errors.inc"-->
<!--#include file="authenticate.inc"-->

<STYLE TYPE="text/css">
	.FormDoc	{behavior:url(/pollsadmin/cms/behaviours/formdoc.htc)}
	.FormField	{behavior:url(/pollsadmin/cms/behaviours/formfield.htc)}

	.VNUM		{behavior:url(/pollsadmin/cms/behaviours/validatenum.htc) url(/pollsadmin/cms/behaviours/formfield.htc)}
	.VDATE		{behavior:url(/pollsadmin/cms/behaviours/validatedate.htc) url(/pollsadmin/cms/behaviours/formfield.htc)}
	.VANUMNOSP	{behavior:url(/pollsadmin/cms/behaviours/validatealphanumnospace.htc) url(/pollsadmin/cms/behaviours/formfield.htc)}
</STYLE>

<SCRIPT LANGUAGE=javascript>
<!--

String.prototype.trim = function() {
    // Use a regular expression to replace leading and trailing 
    // spaces with the empty string
    return this.replace(/(^\s*)|(\s*$)/g, "");
}

function returnIdTitle(vId, vTitle) {
	window.returnValue = vId + '\n' + vTitle;
	window.close();
}

function ConfirmOperation(sMsg) {
	return window.confirm(sMsg);
}

function openChooserMdlDlg(sChooserURL, sItemName) {
	var windProperties = "dialogWidth=300px;resizable=yes;dialogHeight=400px;center=yes;help=no;status=no";

	var sRetValue = window.showModalDialog(sChooserURL,"",windProperties);
	if (!sRetValue) return;
	var values = sRetValue.split('\n');			
	document.location.href = document.location.pathname + '?' + sItemName + '=' + values[0];
}

function openAssocMdlDlg(sChooserURL, sIdElem, sTitleElem) {
	var windProperties = "dialogWidth=300px;resizable=yes;dialogHeight=400px;center=yes;help=no;status=no";

	var sRetValue = window.showModalDialog(sChooserURL,"",windProperties);
	if (!sRetValue) return;
	var values = sRetValue.split('\n');			
	document.all[sIdElem].value = values[0];
	document.all[sTitleElem].value = values[1];
}

function imageExt(fName) {
	var ext="";
	var i = fName.lastIndexOf('.');
	if (i != -1)
		ext=fName.substr(i+1).toLowerCase();
	return ext;
}

function alertNotImage(fName) {
	if (fName!="" && !isImage(fName))
		alert("The file selected appears not to be a GIF or JPEG file!");
}

function isImage(fName) {
	var ext=imageExt(fName);
	return (ext == "jpg") || (ext=="gif");
}

/*
function unicodeTbl() {
	var c;

	document.write("<table>");
	for (var u=850;u<1000;u=u+10) {
		document.write("<tr>");
		for (var j=0; j<10; j++) {
			c = String.fromCharCode(u+j);
			document.write("<td>",u+j,":",c,"</td>");
		}
		document.write("</tr>");
	}
	document.write("</table>");

}
*/
//-->
</SCRIPT>

<SCRIPT LANGUAGE=vbscript RUNAT=Server>

function openDB
	Dim strconn					   
'	strconn = "Provider=MSDataShape;DSN=" & CMS_DSN
'	strconn = "Provider=MSDataShape;" & _
'                "Persist Security Info=False;" & _
'                "Data Source=" & CMS_DSN & ";" & _
'				"Data Provider=MSDASQL"
	strconn = "Provider=MSDataShape;Data Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.mappath("/pollsadmin/db/db.mdb") & ";"
	Dim conn
	set conn = server.createobject("adodb.connection")

	conn.open strconn
	
	set openDB = conn
end function

function getRsAsXML(conn, sSQL)
	dim rs
	set rs=Server.CreateObject("ADODB.Recordset")
	rs.Open sSQL, conn
	
	dim oXML
	set oXML= server.CreateObject("Msxml2.DOMDocument")
	rs.Save oXML, adPersistXML
	set getRsAsXML=oXML
end function

function getId(v)
	dim s
	if (v <> "") then
		s = CLng(v)
	else
		s=0
	end if
	getId = s
end function

sub RedirectToLogin()
	Response.Redirect "/pollsadmin/cms/login/login_form.asp?URL=" & GetURL()
end sub

function GetURL()
	GetURL = Request.ServerVariables("SCRIPT_NAME") & "?" & _
			 Request.ServerVariables("QUERY_STRING")
end function

function AbandonSession()
	Session.Abandon
end function

function DeleteFile(filename)
	dim fso
	Set fso = Server.CreateObject("Scripting.FileSystemObject")
	if fso.FileExists(Server.MapPath(filename)) then
		fso.DeleteFile Server.MapPath(filename)
	end if
end function

function getParamLangId()
	getParamLangId = LANG_GREEK

	dim s
	dim l
	s = Request.QueryString("lang_id")
	if (s = "" or not IsNumeric(s)) then
		l=LANG_GREEK
	else
		l = CDbl(s)
	end if
	if (l=0 or l=1) then 
		getParamLangId = l
	end if
end function

function chooseLabel(lbl_gr, lbl_en, lang)
	if lang=LANG_GREEK then
		chooseLabel=lbl_gr
	else
		chooseLabel=lbl_en
	end if
end function

function getNodeValue(nd)
	if (nd is nothing) or (not IsObject(nd)) then
		getNodeValue = ""
		exit function
	end if
	getNodeValue = nd.nodeValue
end function

function transformXMLParam(oXML, xslURL, sParamName, sParamValue)
	dim oXSL 
	set oXSL = Server.CreateObject ("Msxml2.FreeThreadedDOMDocument")
	oXSL.load Server.MapPath(xslURL)
	
	dim xsltTemplate
	set xsltTemplate = Server.CreateObject("Msxml2.XSLTemplate")
	set xsltTemplate.stylesheet = oXSL
		
	dim xsltProc
	set xsltProc = xsltTemplate.createProcessor
	xsltProc.addParameter sParamName, sParamValue

	xsltProc.input = oXML
	xsltProc.transform
	transformXMLParam = xsltProc.output
	
	set xsltProc=nothing
	set xsltTemplate=nothing
	set oXSL=nothing
end function

function CopyRenameXML(inXML, srcName, trgName)
	dim xslDoc
	set xslDoc = Server.CreateObject("Msxml2.FreeThreadedDOMDocument")
	xslDoc.async = false
	xslDoc.load Server.MapPath("/cms/support/copy_rename_XML_struc.xsl")
	
	dim xslt
	set xslt = server.CreateObject("Msxml2.XSLTemplate")
	set xslt.stylesheet = xslDoc
	
	dim outXML
	set outXML = Server.CreateObject("Msxml2.DOMDocument")

	dim xslProc
	set xslProc = xslt.createProcessor
	xslProc.addParameter "srcName", srcName
	xslProc.addParameter "trgName", trgName

	xslProc.input = inXML
	xslProc.output = outXML
	
	xslProc.transform
	
	set CopyRenameXML = outXML
'	CopyRenameXML = xslProc.output
end function

function sendMail(sFrom, sTo, sSubject, sBody)
	dim oMail
	set oMail = Server.CreateObject("CDONTS.NewMail")
	oMail.From = sFrom
	oMail.To = sTo
	oMail.Subject = sSubject
	oMail.Body = sBody
	oMail.Send
end function

</SCRIPT>
