<HTML>
<HEAD>
<TITLE>Statistics for site <% = Request.QueryString("site") %></TITLE>
<LINK REL=stylesheet href=stats.css type=text/css>
</HEAD>
<BODY>
<%

	' output statistics
	' anyone who knows some SQL can come up with a bunch of other statistics
	' the database structure is simple and clear


	dim site, cnn, rst, cnt

	site = Request.QueryString("site")

	if site = "" or isempty(site) then site = "siteid"

	' connect to database
	set cnn = server.CreateObject("ADODB.Connection")
	cnn.Open "provider=Microsoft.Jet.OLEDB.4.0;data source=" & server.MapPath(site & "/stats.mdb") & ";"

%>
<CENTER>
<H3>Statistics for <% = site %></H3>
 
<TABLE WIDTH=300>
<TR CLASS=HEAD><TD COLSPAN=2>Main statistics</TD></TR>
<%
	' total number of visits
	set rst = cnn.Execute("SELECT Count([ID]) From Visits")
	if rst.eof and rst.bof then
		Response.Write "<TR><TD>Total visits</TD><TD ALIGN=RIGHT>0</TD></TR>" 
	else
		Response.Write "<TR><TD>Total visits</TD><TD ALIGN=RIGHT>" & rst(0) & "</TD></TR>"
	end if

	' total number of unique visitors
	set rst = cnn.Execute("SELECT count(*) From distinctip")
	if rst.eof and rst.bof then
		Response.Write "<TR><TD>Unique visitors</TD><TD ALIGN=RIGHT>0</TD></TR>" 
	else
		Response.Write "<TR><TD>Unique visitors</TD><TD ALIGN=RIGHT>" & rst(0) & "</TD><TR>"
	end if

	' total number of hits
	set rst = cnn.Execute("SELECT Count([ID]) From Visited")
	if rst.eof and rst.bof then
		Response.Write "<TR><TD>Total hits</TD><TD ALIGN=RIGHT>0</TD></TR>" 
	else
		Response.Write "<TR><TD>Total hits</TD><TD ALIGN=RIGHT>" & rst(0) & "</TD></TR>"
	end if

	' duration of visits
	' min
	set rst = cnn.Execute("SELECT min(datediff(""s"",visitstart,visitend)), avg(datediff(""s"",visitstart,visitend)), max(datediff(""s"",visitstart,visitend)) From Visits")
	if rst.eof and rst.bof then
		Response.Write "<TR><TD>Duration (min/avg/max)</TD><TD ALIGN=RIGHT>n/a</TD></TR>" 
	else
		Response.Write "<TR><TD>Duration (min/avg/max)</TD><TD ALIGN=RIGHT>" & round(rst(0),0) & "/" & round(rst(1),0) & "/" & round(rst(2),0) & "</TD></TR>"
	end if

	Response.Write "</TABLE>"

	' 10 top hits per page
	set rst = server.CreateObject("ADODB.Recordset")
	rst.MaxRecords = 10
	rst.Open "SELECT doc, count(id) FROM visited group by doc order by count(id) desc",cnn 
%>
	<P><TABLE><TR CLASS=HEAD><TD COLSPAN=2>Top 10 pages (<a href="showalldocs.asp?site=<% = server.URLEncode(site) %>">show all</a>)</TD></TR>
	<TR CLASS=SUBHEAD><TD><B>Page</B></TD><TD><B>Hits</B></TD><TR>
<%
	cnt = 0
	do until rst.eof or cnt = 10
		cnt = cnt + 1
		Response.Write "<TR><TD>" & rst("doc") & "</TD><TD WIDTH=50 ALIGN=RIGHT>" & rst(1) & "</TD></TR>" & vbcrlf
		rst.movenext
	loop
	Response.Write "</TABLE>"

	' 10 top referers
	set rst = server.CreateObject("ADODB.Recordset")
	rst.MaxRecords = 10
	rst.Open "SELECT ref, count(id) FROM visited group by ref order by count(id) desc",cnn 
%>
	<P><TABLE><TR CLASS=HEAD><TD COLSPAN=2>Top 10 referers (<a href="showallrefs.asp?site=<% = server.URLEncode(site) %>">show all</a>)</TD></TR>
	<TR CLASS=SUBHEAD><TD><B>Page</B></TD><TD><B>Refered</B></TD><TR>
<%
	cnt = 0
	do until rst.eof or cnt = 10
		cnt = cnt + 1
		if isnull(rst("ref")) or rst("ref") = "" then
			Response.Write "<TR><TD>&lt;no referer&gt;</TD><TD WIDTH=50 ALIGN=RIGHT>" & rst(1) & "</TD></TR>" & vbcrlf
		else
			Response.Write "<TR><TD>" & rst("ref") & "</TD><TD WIDTH=50 ALIGN=RIGHT>" & rst(1) & "</TD></TR>" & vbcrlf
		end if
		rst.movenext
	loop
	Response.Write "</TABLE>"

	' last 10 visitors
	set rst = server.CreateObject("ADODB.Recordset")
	rst.MaxRecords = 10
	rst.Open "SELECT visits.ip, visits.provider, visits.visitstart, visits.visitend, DateDiff(""s"",visitstart,visitend) AS duration, Count(visited.visitid) AS pagesvisited FROM visits INNER JOIN visited ON visits.id = visited.visitid GROUP BY visits.ip, visits.provider, visits.visitstart, visits.visitend, DateDiff(""s"",visitstart,visitend), visits.id ORDER BY visits.id DESC",cnn
%>
	<P><TABLE><TR CLASS=HEAD><TD COLSPAN=6>Last 10 visitors</TD></TR>
	<TR CLASS=SUBHEAD><TD><B>Visit start</B></TD><TD><B>Provider</B></TD><TD><B>Pages visited</B></TD><TD><B>Duration</B></TD><TR>
<%
	cnt = 0
	do until rst.eof or cnt = 10
		cnt = cnt + 1
		Response.Write "<TR><TD>" & rst(2) & "</TD><TD>" & rst(1) & "</TD><TD ALIGN=RIGHT>" & rst(5) & "</TD><TD ALIGN=RIGHT>" & rst(4) & "</TD></TR>" & vbcrlf
		rst.movenext
	loop
	Response.Write "</TABLE>"

	' visitors in the last 30 days
	Dim dNow, dTmp, hight, max, altBack, row1, row2, altNow
	dNow = Date
	dTmp = DateAdd("m",-1,dNow)
	altBack = Datepart("d",dTmp) + (Datepart("m",dTmp) * 100) + (Datepart("yyyy",dTmp) * 10000)

	set rst = server.CreateObject("ADODB.Recordset")
	rst.Open "SELECT max(visitcount) FROM visitsday where day + (month*100) + (year * 10000) >= " & altBack,cnn 
	max = rst(0)

	set rst = server.CreateObject("ADODB.Recordset")
	rst.Open "SELECT day + (month*100) + (year * 10000) as altnow, * FROM visitsday where day + (month*100) + (year * 10000) >= " & altBack & " order by year, month, day",cnn 

	cnt = 0
	do until rst.eof or (dTmp > dNow)
		altBack = Datepart("d",dTmp) + (Datepart("m",dTmp) * 100) + (Datepart("yyyy",dTmp) * 10000)
		if rst("altnow") = altBack then
			height = int(rst("visitcount") / max * 200)
			row1 = row1 & "<TD VALIGN=BOTTOM><IMG SRC=bar.gif WIDTH=15 HEIGHT=" & height & "></TD>"
			row2 = row2 & "<TD>" & rst("day") & "</TD>"
			if rst("visitcount") > max then max=rst("visitcount")
			rst.movenext
		else
			row1 = row1 & "<TD VALIGN=BOTTOM><IMG SRC=bar.gif WIDTH=15 HEIGHT=0></TD>"
			row2 = row2 & "<TD>" & (altBack - (int(altBack/100)*100)) & "</TD>"
		end if
		dTmp = DateAdd("d",1,dTmp)
	loop

	row1 = "<TD VALIGN=TOP ALIGN=RIGHT>" & Max & "-</TD><TD><IMG SRC=bar.gif WIDTH=0 HEIGHT=200></TD>" & row1  
	row2 = "<TD COLSPAN=2></TD>" & row2
	
%>
<BR>
<TABLE WIDTH=480>
<TR CLASS=HEAD><TD COLSPAN=40>Visits per day over the last month</TD></TR>
<TR><% = row1 %></TR>
<TR><% = row2 %></TR>
</TABLE>

<CENTER>
</BODY>
</HTML>