<%Option Explicit%>

<!-- bbstats.asp -->

<!-- simple ASP routines to show you how to play with Web server info/stats & browser data, and capture various counter info -->

<!-- this works with my Windows 2000 Advanced Server, I have no idea what else it will (or won't) work with -->

<!-- use the Counter.mdb Access 2000 database as a sample, I put it in my Server's \Inetpub folder -->

<!-- created by Brian Battles WS1O (brianb@cmtelephone.com) on September 9, 2001...with plenty of ideas and snippets from various other people's code -->

<!-- This is free software, no copyright, etc, use/modify this freely as you see fit -->



<!-- okay, now let's look into the code... -->



<!-- this lets you use the ADO Constants that come with Microsoft IIS; just make sure this file exists in your Web site's root folder -->

<!--#include virtual="/adovbs.inc"--> 




<!-- now let's create a 14-day cookie so that we can keep track of this User for 2 weeks -->

<%

Response.Cookies("userInformation")("LastVisit") = Date
Response.Cookies("UserInformation")("UserAgentString") = Request.ServerVariables("HTTP_USER_AGENT")
Response.Cookies("UserInformation")("UserIPAddress") = Request.ServerVariables("REMOTE_ADDR")
Response.Cookies("UserInformation").Expires = Date + 14

%>

<%

    <!-- ADO recordset variables -->
    Dim SQL, rs, rsCount, sMDB, Conn, strSQL, iCount

    <!-- Server Variables -->
    dim sPath, sUserIP, sSessID, sCookie, sPreviousSite

    <!-- get the server variables -->
    sPath = Request.ServerVariables ("PATH_INFO")
    sUserIP = Request.ServerVariables ("REMOTE_ADDR")
    sCookie = Request.ServerVariables ("HTTP_COOKIE")
    sPreviousSite = Request.ServerVariables ("HTTP_REFERER")

    <!-- and grab the Server's SessionID for this visit -->
    sSessID = Session.SessionID

    <!-- change the value in SMDB to your own database file/path -->
    sMDB = ("c:\inetpub\counter.mdb")
    <!-- this instantiates our ADO recordset -->
    set Conn = server.CreateObject("adodb.connection")
    <!-- next we have to create a valid ADO connection string; this is easy for MS Access -->
    Conn.open "driver={Microsoft Access Driver (*.mdb)};dbq=" & sMDB & ";uid=Admin"

    <!-- if we select records that have the current SessionID, then we won't count this Visit more than once -->
    <!--   because we don't add a new record to the database until this Session has expired -->
    SQL = "SELECT * FROM tblCounter WHERE SessionID = '" & sSessID & "' AND PATH = '" & sPath & "'"
    Set rs = Server.CreateObject("adodb.recordset")
    rs.Open SQL, Conn, adOpenDynamic, AdLockOptimistic
    
    <!-- if the recordset has any data, we don't write a new record (user could have simply reloaded the page) -->
    If rs.EOF Then
        <!-- let's write a record of this visit to our hit counter database -->
        rs.AddNew
        rs("Hits")= 1
        rs("Date") = Date()
        rs("Time") = Time()
        rs("Path") = sPath
        rs("RemAddress") = sUserIP
        rs("SessionID") = sSessID
        rs.Update
        rs.Close
    End If

%>


<!-- up to now, none of this has been real HTML, so now we get some basic HTML going -->
	
<html>

<head>

<title>

WS1O's Way Cool ASP Web Counter & Stats !

</title>

</head>

<body>

<font face="Tahoma,Verdana,Arial,Helvetica,MS Sans Serif,Sans Serif" size="3" color="magenta">

<p align="center">

<i>

Thanks for stopping by ...


<!-- okay, here comes our ASP database code to display stuff on the Web page -->

<%

<!-- this query gets the IP Address, SessionID, Page and Date from the first record of this user visiting this page -->
strSQL = "SELECT RemAddress, SessionID, Path, Date FROM tblCounter WHERE RemAddress = '" & sUserIP & "' AND Path = '" & sPath & "'"

Set RS = Conn.Execute(strSQL)
    
    Select Case sSessID
        <!-- if the current SessionID matches the one in the database, then this is their first visit -->
        Case rs("SessionID")
            Response.Write("This is the first time you've been here" & "!<br>")
        <!-- if the SessionID in the database is older than the current one, they've been here before -->
        Case Else       
  	    Response.Write("Your last time here was " & Request.Cookies("userInformation")("LastVisit")  & "!<br>")
    End Select

Response.Write "</I><BR><FONT SIZE='2'>"

Response.Write "Your first Session ID from here was <B>" & rs("SessionID") & "</B><BR>on " & FormatDateTime(rs("Date"), vbLongDate)
Response.Write "<BR>"
Response.Write "Your current Session ID here is <B>" & sSessID
Response.Write "</B><BR>"

<!-- curious about Session variables? let's look at them (if there are any) -->

<!-- first, see if there are any -->
If Session.Contents.Count > 0 Then
    Dim iLoop
    Dim strSV

    Response.Write "<BR>"
    Response.Write "<BR>"
    Response.Write "Let's see the current Session Variables"
    Response.Write "<BR>"

    Response.Write Session.Contents.Count
    Response.Write "<BR>"

    For Each strSV in Session.Contents
        Response.Write 
        ' if this variable is an array...
        If IsArray(Session(strSV)) Then
            ' loop through each array element
            For iLoop = LBound(Session(strSV)) To UBound(Session(strSV))
                Response.Write strSV & "(" & iLoop & ") - " & Session(strSV)(iLoop) & "<BR>"
            Next
        Else
            ' this one must not be an array variable
            Response.Write strSV & " - " & Session.Contents(strSV) & "<BR>"
        End If
    Next
    Response.Write "<BR>"
    Response.Write "<BR>"
Else
    <!-- Guess there aren't any! -->
    Response.Write "Current Session Variables: " & Session.Contents.Count & "<BR>"
End IF


<!-- let's show various flavors of hit counts -->



<!-- this query only gets hits to THIS page from THIS user -->
strSQL = "SELECT SUM (Hits) AS CountofHits FROM tblCounter WHERE Path = '" & sPath & "' AND RemAddress = '" & sUserIP & "'"

Set RS = Conn.Execute(strSQL)

%>

<!-- make it look all pretty -->

<font face="Tahoma,Verdana,Arial,Helvetica,MS Sans Serif,Sans Serif" size="4" color="red">

You've been to this page 

<b>

<font size="6">

<font color="black">

<%=rs("CountofHits")%> 

<font color="red">

<font size="4">

 times

</b>

<br>

<%


<!-- this query gets ALL hits to THIS page from ALL users -->
strSQL = "SELECT SUM (Hits) AS CountofHits FROM tblCounter WHERE Path = '" & sPath &"'"

Set RS = Conn.Execute(strSQL)

%>

<font face="Tahoma,Verdana,Arial,Helvetica,MS Sans Serif,Sans Serif" size="4" color="red">

This page has received 

<b>

<font size="6">

<font color="black">

<%=rs("CountofHits")%> 

<font color="red">

<font size="4">

 total hits...

</b>

<br>

</font>

<%


<!-- this query gets ALL hits to this page from ALL users for today's date -->
strSQL = "SELECT SUM (Hits) AS CountofHits FROM tblCounter WHERE Path = '" & sPath & "' AND Date = #" & Date() & "#"

Set RS = Conn.Execute(strSQL)

%>

<font face="Tahoma,Verdana,Arial,Helvetica,MS Sans Serif,Sans Serif" size="4" color="green">

There have been 

<b>

<font size="6">

<font color="black">

<%=rs("CountofHits")%>

<font color="green">

</b>

<font size="4">

hits to this this page today

</font>

<font size="4">


<%

<!-- How do we show the total number of Users who have ever been to this page? Here's my easy way -->

<!--   this query shows ONE record EACH for ALL users who have ever visited this page...but watch... -->
strSQL = "SELECT DISTINCT RemAddress FROM tblCounter WHERE Path = '" & sPath & "'"

<!-- aha! we're opening a KEYSET recordset... -->
Set rsCount = Server.CreateObject("adodb.recordset")
rsCount.Open strSQL, Conn, adOpenKeyset

%>

<br>
And a total of 
<b>
<font size="6">

<font color="black">

<!-- yes, a KEYSET recordset let's us get the RecordCount! -->
<%= rsCount.RecordCount%>

<font color="green">

</b>

<font size="4">

 separate people have viewed this page

<BR>

<!-- the date this Web page was first put up on the server -->
since September 9, 2001

</p>

</font>

<!-- there, we're done with all the various counters -->



<!-- now let's play around with some info the Server provides -->


<font face="Tahoma,Verdana,Arial,Helvetica,MS Sans Serif,Sans Serif" size="4" color="red">

<p align="center">

<font size="2">

<i>

<font color="magenta">

Big Brother is watching you!

<br>

We've logged the following information for this visit:

</I>

<br>

<br>

<font size="4" color="brown">

<%
    <!-- if there's anything in the HTTP_REFERER string, let's show it -->
    If sPreviousSite <> "" Then
        Response.write "Just before you got here, you were at <BR><font color='black'><B>" & sPreviousSite & "</B><BR><font color='brown'>"
    Else
        <!-- never mind! -->
    End If

%>

The date is 

<font color="black">

<B>

<%= FormatDateTime(Date, vbLongDate) %>

</B>

<BR>

<font color="brown">

The time is 

<font color="black">

<B>

<%= FormatDateTime(Time, vbLongTime) %>

</B>

<br>

<font color="brown">

Your current IP address is 

<B>

<font color="black">

<%= sUserIP %>

</B>

<br>

<br>

<font size="2" color="orange">

<i>

Nosey, aren't we! Hee Hee

</i>

</font>

</p>

<HR WIDTH="80%">




<!-- these are ALL the server variables documented by Microsoft for Windows 2000 Advanced Server; I commented them out here, but left them in this code for reference 

<%=Request.ServerVariables("REMOTE_ADDR")%>
<p>
<%=Request.ServerVariables("ALL_HTTP") %>
<p>
<%=Request.ServerVariables("ALL_RAW")%>
<p>
<%=Request.ServerVariables("APPL_PHYSICAL_PATH")%>
<p>
<%=Request.ServerVariables("APPL_MD_PATH")%>
<p>
<%=Request.ServerVariables("AUTH_PASSWORD")%>
<p>
<%=Request.ServerVariables("AUTH_TYPE")%>
<p>
<%=Request.ServerVariables("AUTH_USER")%>
<p>
<%=Request.ServerVariables("CERT_COOKIE")%>
<p>
<%=Request.ServerVariables("CERT_FLAGS")%>
<p>
<%=Request.ServerVariables("CERT_ISSUER")%>
<p>
<%=Request.ServerVariables("CERT_KEYSIZE")%>
<p>
<%=Request.ServerVariables("CERT_SECRETKEYSIZE")%>
<p>
<%=Request.ServerVariables("CERT_SERIALNUMBER")%>
<p>
<%=Request.ServerVariables("CERT_SERVER_ISSUER")%>
<p>
<%=Request.ServerVariables("CERT_SERVER_SUBJECT")%>
<p>
<%=Request.ServerVariables("CERT_SUBJECT")%>
<p>
<%=Request.ServerVariables("CONTENT_LENGTH")%>
<p>
<%=Request.ServerVariables("CONTENT_TYPE")%>
<p>
<%=Request.ServerVariables("GATEWAY_INTERFACE")%>
<p>
<%=Request.ServerVariables("HTTP_ACCEPT")%>
<p>
<%=Request.ServerVariables("HTTP_ACCEPT_LANGUAGE")%>
<p>
<%=Request.ServerVariables("HTTP_USER_AGENT")%>
<p>
<%=Request.ServerVariables("HTTP_COOKIE")%>
<p>
<%=Request.ServerVariables("HTTP_REFERER")%>
<p>
<%=Request.ServerVariables("HTTPS")%>
<p>
<%=Request.ServerVariables("HTTPS_KEYSIZE")%>
<p>
<%=Request.ServerVariables("HTTPS_SECRETKEYSIZE")%>
<p>
<%=Request.ServerVariables("HTTPS_SERVER_ISSUER")%>
<p>
<%=Request.ServerVariables("HTTPS_SERVER_SUBJECT")%>
<p>
<%=Request.ServerVariables("INSTANCE_ID")%>
<p>
<%=Request.ServerVariables("INSTANCE_META_PATH")%>
<p>
<%=Request.ServerVariables("LOCAL_ADDR")%>
<p>
<%=Request.ServerVariables("LOGON_USER")%>
<p>
<%=Request.ServerVariables("PATH_INFO")%>
<p>
<%=Request.ServerVariables("PATH_TRANSLATED")%>
<p>
<%=Request.ServerVariables("QUERY_STRING")%>
<p>
<%=Request.ServerVariables("REMOTE_ADDR")%>
<p>
<%=Request.ServerVariables("REMOTE_HOST")%>
<p>
<%=Request.ServerVariables("REMOTE_USER")%>
<p>
<%=Request.ServerVariables("REQUEST_METHOD")%>
<p>
<%=Request.ServerVariables("SCRIPT_NAME")%>
<p>
<%=Request.ServerVariables("SERVER_NAME")%>
<p>
<%=Request.ServerVariables("SERVER_PORT")%>
<p>
<%=Request.ServerVariables("SERVER_PORT_SECURE")%>
<p>
<%=Request.ServerVariables("SERVER_PROTOCOL")%>
<p>
<%=Request.ServerVariables("SERVER_SOFTWARE")%>
<p>

-->

<!-- let's build us a table to show all these cool Server Variables -->

<TABLE BORDER="0">

<TR>

<TD>

<font size="2">

<B>

<I>

Server Variable

</I>

</B>

</TD>

<TD>

<font size="2">

<B>

<I>

Value

</I>

</B>

</TD>

</TR>

</font>

<% Dim StrKey %>

<!-- loop through the collection of all ServerVariables -->

<% 


    For Each strKey In Request.ServerVariables 

    <!-- Notice that within the ASP code tags, HTML tags have to be written in quotes with Response.Write -->

    <!-- Before we walk through the recordset that creates the output HTML table here, I decided to have the loop skip over certain variables that might not be smart to show to users, such as paths on your server, CERT and AUTH stuff, etc. You can display them if you want by changing the Select Case statement below  -->

    Select Case left(strkey,5)
        Case "CERT_",  "AUTH_", "APPL_", "INSTA", "PATH_", "HTTPS", "LOCAL", "SCRIP"
            <!-- DONT PRINT IT -->
        Case Else

            <!-- skip any that come back empty -->
            If Request.ServerVariables(strKey) <> "" Then

                Response.write "<TR>"
                Response.write "<TD>"
                Response.write "<font face='Tahoma,Verdana,Arial,Helvetica,MS Sans Serif,Sans Serif' size='2' color='blue'>"

                <!-- write the name of the ServerVariable -->
                Response.Write strKey 
    

                Response.write "</TD>"
                Response.write "<TD>"
                Response.write "<font face='Tahoma,Verdana,Arial,Helvetica,MS Sans Serif,Sans Serif' size='2' color='red'>"
                Response.write "<b>"


                <!-- write the Value of the ServerVariable -->
                Response.write Request.ServerVariables(strKey) 


                Response.write "</b>"
                Response.write "</TD>"
                Response.write "</TR>"

            End If

    End Select 

Next 


%> 

</TABLE> 


<!-- that's the end of all the fancy code -->




<!-- nothing tricky here, just some text I threw in for fun -->

<p align="center">

<font face="Times New Roman,Roman,Times,MS Serif,Serif" size="3" color="magenta">

Isn't it amazing what data is available at the Web server?

</font>

<br>

<br>

<font face="Times New Roman,Roman,Times,MS Serif,Serif" size="3" color="green">

<A HREF="mailto:brianb@cmtelephone.com">

Click Here To Send Comments Or Questions About This Web Site

</A>

<br>

<br>

<p align="center">

<font face="Comic Sans MS,Arial,Tahoma,Verdana,Helvetica,MS Sans Serif,Sans Serif" size="1" color="blue">

Page updated September 9, 2001

</font>

</p>

</body>


<!-- if you like this stuff, please vote for it on Planet Source Code! -->

</html>